|  | Class Members - Functions updated Fri Feb 28 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

### - s -

- SaveState() : reflex::FuzzyMatcher::SaveState
- set_bob() : reflex::AbstractMatcher
- set_bol() : reflex::AbstractMatcher
- set_current() : reflex::AbstractMatcher
- set_current_and_peek_more() : reflex::AbstractMatcher
- set_debug() : reflex::AbstractLexer< M >
- set_end() : reflex::AbstractMatcher
- set_handler() : reflex::AbstractMatcher , reflex::Input
- set_library() : Reflex
- set_reserve() : reflex::AbstractMatcher
- SGR() : Reflex
- showmanyc() : reflex::BufferedInput::dos_streambuf , reflex::BufferedInput::streambuf , reflex::Input::dos_streambuf , reflex::Input::streambuf
- simd_advance_chars_avx2() : reflex::Matcher
- simd_advance_chars_avx512bw() : reflex::Matcher
- simd_advance_chars_pma_avx2() : reflex::Matcher
- simd_advance_chars_pma_avx512bw() : reflex::Matcher
- simd_advance_chars_pmh_avx2() : reflex::Matcher
- simd_advance_chars_pmh_avx512bw() : reflex::Matcher
- simd_advance_pattern_pin16_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin16_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin16_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin1_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin1_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin2_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin2_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin2_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin3_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin3_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin3_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin4_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin4_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin4_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin5_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin5_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin5_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin6_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin6_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin6_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin7_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin7_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin7_pmh_avx2() : reflex::Matcher
- simd_advance_pattern_pin8_one_avx2() : reflex::Matcher
- simd_advance_pattern_pin8_pma_avx2() : reflex::Matcher
- simd_advance_pattern_pin8_pmh_avx2() : reflex::Matcher
- simd_advance_string_avx2() : reflex::Matcher
- simd_advance_string_avx512bw() : reflex::Matcher
- simd_advance_string_neon() : reflex::Matcher
- simd_advance_string_pma_avx2() : reflex::Matcher
- simd_advance_string_pma_avx512bw() : reflex::Matcher
- simd_advance_string_pma_neon() : reflex::Matcher
- simd_advance_string_pmh_avx2() : reflex::Matcher
- simd_advance_string_pmh_avx512bw() : reflex::Matcher
- simd_advance_string_pmh_neon() : reflex::Matcher
- simd_init_advance_avx2() : reflex::Matcher
- simd_init_advance_avx512bw() : reflex::Matcher
- simd_match_avx2() : reflex::Matcher
- simd_match_avx512bw() : reflex::Matcher
- size() : reflex::AbstractLexer< M > , reflex::AbstractMatcher , reflex::Bits , reflex::BufferedInput , reflex::Input , reflex::Pattern
- skip() : reflex::AbstractMatcher
- skip_comment() : Reflex
- span() : reflex::AbstractMatcher
- start() : reflex::AbstractLexer< M > , reflex::Pattern::DFA
- state() : reflex::Pattern::DFA::MetaEdgesClosure , reflex::Pattern::DFA
- State() : reflex::Pattern::DFA::State
- states_empty() : reflex::AbstractLexer< M >
- StdEcmaMatcher() : reflex::StdEcmaMatcher
- stdinit() : reflex::AbstractLexer< M >
- StdMatcher() : reflex::StdMatcher
- StdPosixMatcher() : reflex::StdPosixMatcher
- stops() : reflex::Matcher
- str() : reflex::AbstractLexer< M > , reflex::AbstractMatcher
- streambuf() : reflex::BufferedInput::streambuf , reflex::Input::streambuf
- swap() : reflex::Bits , reflex::Pattern::Chars
- switch_streams() : reflex::FlexLexer< M >